aboutsummaryrefslogtreecommitdiff
path: root/make_docu.sh
diff options
context:
space:
mode:
authorKevin Chabowski <kevin@kch42.de>2011-10-05 14:27:15 +0200
committerKevin Chabowski <kevin@kch42.de>2011-10-05 14:27:15 +0200
commit1141e8e9fe480b0407d4d7e247efadb4e12c7db6 (patch)
tree3dec0ff73468cb7d4fd490c6fba0f18702d67d23 /make_docu.sh
parent2e0b96389928162d6fb7b524a7c5af5fc61faa6c (diff)
downloadratatoeskr-cms-1141e8e9fe480b0407d4d7e247efadb4e12c7db6.tar.gz
ratatoeskr-cms-1141e8e9fe480b0407d4d7e247efadb4e12c7db6.tar.bz2
ratatoeskr-cms-1141e8e9fe480b0407d4d7e247efadb4e12c7db6.zip
Fixed docu and added some features to models.php
* New NaturalDocs topics: STETag and STEVar. * Article::by_multi added. * Article::get_comments can nof filter comments.
Diffstat (limited to 'make_docu.sh')
-rwxr-xr-xmake_docu.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/make_docu.sh b/make_docu.sh
index 8d64d10..9ffe508 100755
--- a/make_docu.sh
+++ b/make_docu.sh
@@ -1,4 +1,9 @@
#!/usr/bin/env bash
-if ! [ -d docu ]; then mkdir docu; fi
-if ! [ -d naturaldocs_dir ]; then mkdir naturaldocs_dir; fi
+if ! [ -d docu ]; then
+ mkdir docu
+fi
+if ! [ -d naturaldocs_dir ]; then
+ mkdir naturaldocs_dir
+ echo -e "Format: 1.4\n\nTopic Type: STE Tag\n\n Plural: STE Tags\n Scope: Always global\n\n Keywords:\n stetag, stetags\n\nTopic Type: STE Variable\n\n Plural: STE Variables\n Scope: Always global\n\n Keywords:\n stevar, stevars\n stevariable, stevariables" > naturaldocs_dir/Topics.txt
+fi
NaturalDocs -i . -xi ./ratatoeskr/libs/ -o HTML docu -p naturaldocs_dir/